/*
 * mpeg_play.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

/*
 * $Id:$
 */

/*
 * $Log:$
 */

#ifndef __MPEG_PLAY_H__
#define __MPEG_PLAY_H__


enum mpegp_state {
	MPEGP_STOPPED=0,
	MPEGP_PAUSED,
	MPEGP_PLAYING,
        MPEGP_ERROR
};

struct mpegp_time {
int bmins;
int bsecs;
int secs;
};

struct mpegp_status {
enum mpegp_state state;
struct mpegp_time position;
struct mpegp_time length;
float voll,volr;
Eweid e;
};

struct mpegp_time mpegp_time(int s, int r);
float mult_to_vol(float m);
float vol_to_mult(float m);
void *mpegp_create(void);
void mpegp_stop(void *um);
int mpegp_play(void *um, Files f, Eweid e, CFH cfh);
int mpegp_dispatch(void *um);
struct mpegp_status mpegp_status(void *um);
int mpegp_fd(void *um);
void mpegp_setvol(void *um, float l, float r);
void mpegp_seek(void *um, int where);
int mpegp_cfhstatus(void *um);

#endif __MPEG_PLAY_H__

